## PDC Get Config Info indication PDC Get Config Info indication |

## Functions

QmiIndicationPdcGetConfigInfoOutput * | qmi_indication_pdc_get_config_info_output_ref ()
void | qmi_indication_pdc_get_config_info_output_unref ()
gboolean | qmi_indication_pdc_get_config_info_output_get_version ()
gboolean | qmi_indication_pdc_get_config_info_output_get_description ()
gboolean | qmi_indication_pdc_get_config_info_output_get_total_size ()
gboolean | qmi_indication_pdc_get_config_info_output_get_indication_result ()
gboolean | qmi_indication_pdc_get_config_info_output_get_token ()

## Types and Values

| QmiIndicationPdcGetConfigInfoOutput

## Object Hierarchy

        GBoxed
        ╰── QmiIndicationPdcGetConfigInfoOutput

## Description

## Functions

### qmi_indication_pdc_get_config_info_output_ref ()

    QmiIndicationPdcGetConfigInfoOutput *
    qmi_indication_pdc_get_config_info_output_ref
                                   (QmiIndicationPdcGetConfigInfoOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |

#### Returns

the new reference to `self` .

Since: 1.18

### qmi_indication_pdc_get_config_info_output_unref ()

    void
    qmi_indication_pdc_get_config_info_output_unref
                                   (QmiIndicationPdcGetConfigInfoOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |

Since: 1.18

### qmi_indication_pdc_get_config_info_output_get_version ()

    gboolean
    qmi_indication_pdc_get_config_info_output_get_version
                                   (QmiIndicationPdcGetConfigInfoOutput *self,
                                    guint32 *value_version,
                                    GError **error);

Get the 'Version' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |
value_version | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_config_info_output_get_description ()

    gboolean
    qmi_indication_pdc_get_config_info_output_get_description
                                   (QmiIndicationPdcGetConfigInfoOutput *self,
                                    const gchar **value_description,
                                    GError **error);

Get the 'Description' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |
value_description | a placeholder for the output constant string, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_config_info_output_get_total_size ()

    gboolean
    qmi_indication_pdc_get_config_info_output_get_total_size
                                   (QmiIndicationPdcGetConfigInfoOutput *self,
                                    guint32 *value_total_size,
                                    GError **error);

Get the 'Total Size' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |
value_total_size | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_config_info_output_get_indication_result ()

    gboolean
    qmi_indication_pdc_get_config_info_output_get_indication_result
                                   (QmiIndicationPdcGetConfigInfoOutput *self,
                                    guint16 *value_indication_result,
                                    GError **error);

Get the 'Indication Result' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |
value_indication_result | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

### qmi_indication_pdc_get_config_info_output_get_token ()

    gboolean
    qmi_indication_pdc_get_config_info_output_get_token
                                   (QmiIndicationPdcGetConfigInfoOutput *self,
                                    guint32 *value_token,
                                    GError **error);

Get the 'Token' field from `self` .

#### Parameters

self | a QmiIndicationPdcGetConfigInfoOutput. |
value_token | a placeholder for the output guint32, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.18

## Types and Values

### QmiIndicationPdcGetConfigInfoOutput

    typedef struct _QmiIndicationPdcGetConfigInfoOutput QmiIndicationPdcGetConfigInfoOutput;

The QmiIndicationPdcGetConfigInfoOutput structure contains private data and should only be accessed using the provided API.

Since: 1.18